Package com.google.protobuf

# Class GeneratedMessageV3

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.GeneratedMessage.ExtendableMessage<GeneratedMessageV3>
com.google.protobuf.GeneratedMessageV3

All Implemented Interfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Direct Known Subclasses:
  `GeneratedMessageV3.ExtendableMessage`

@Deprecated public abstract class GeneratedMessageV3 extends GeneratedMessage.ExtendableMessage<GeneratedMessageV3>
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage instead.
Stub for GeneratedMessageV3 wrapping GeneratedMessage for compatibility with older gencode.

Extends GeneratedMessage.ExtendableMessage instead of GeneratedMessage to allow "multiple inheritance" for GeneratedMessageV3.ExtendableMessage subclass.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
`protected static interface`
`GeneratedMessageV3.BuilderParent`
Deprecated.
`static class`
`GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
`static class`
`GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
`static interface`
`GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
`static final class`
`GeneratedMessageV3.FieldAccessorTable`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).
`protected static final class`
`GeneratedMessageV3.UnusedPrivateParameter`
Deprecated.
This method is deprecated, and slated for removal in the next Java breaking change (5.x).

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`GeneratedMessage.ExtendableMessage.ExtensionSerializer, GeneratedMessage.ExtendableMessage.ExtensionWriter`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`GeneratedMessageV3()`
Deprecated.
`protected`
`GeneratedMessageV3(GeneratedMessageV3.Builder<?> builder)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Deprecated.
`protected static Internal.BooleanList`
`mutableCopy(Internal.BooleanList list)`
Deprecated.
`protected static Internal.DoubleList`
`mutableCopy(Internal.DoubleList list)`
Deprecated.
`protected static Internal.FloatList`
`mutableCopy(Internal.FloatList list)`
Deprecated.
`protected static Internal.IntList`
`mutableCopy(Internal.IntList list)`
Deprecated.
`protected static Internal.LongList`
`mutableCopy(Internal.LongList list)`
Deprecated.
`protected Message.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Deprecated.
`protected abstract Message.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
Deprecated.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`extensionsAreInitialized, extensionsSerializedSize, extensionsSerializedSizeAsMessageSet, getAllFields, getAllFieldsRaw, getExtension, getExtension, getExtensionCount, getExtensionFields, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasField, isInitialized, newExtensionSerializer, newExtensionWriter, newMessageSetExtensionSerializer, newMessageSetExtensionWriter`

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getDescriptorForType, getOneofFieldDescriptor, getParserForType, getSerializedSize, getUnknownFields, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessage

`equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType`

### Methods inherited from interface com.google.protobuf.Message

`newBuilderForType, toBuilder`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getDescriptorForType, getInitializationErrorString, getOneofFieldDescriptor, getUnknownFields, hasOneof`

## Constructor Details

### GeneratedMessageV3

@Deprecated protected GeneratedMessageV3()
Deprecated.

### GeneratedMessageV3

@Deprecated protected GeneratedMessageV3(GeneratedMessageV3.Builder<?> builder)
Deprecated.

## Method Details

### mutableCopy

@Deprecated protected static Internal.IntList mutableCopy(Internal.IntList list)
Deprecated.

### mutableCopy

@Deprecated protected static Internal.LongList mutableCopy(Internal.LongList list)
Deprecated.

### mutableCopy

@Deprecated protected static Internal.FloatList mutableCopy(Internal.FloatList list)
Deprecated.

### mutableCopy

@Deprecated protected static Internal.DoubleList mutableCopy(Internal.DoubleList list)
Deprecated.

### mutableCopy

@Deprecated protected static Internal.BooleanList mutableCopy(Internal.BooleanList list)
Deprecated.

### internalGetFieldAccessorTable

@Deprecated protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Deprecated.
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### newInstance

@Deprecated protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Deprecated.

### newBuilderForType

@Deprecated protected abstract Message.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Deprecated.

### newBuilderForType

@Deprecated protected Message.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Deprecated.
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`